package student;

import java.io.IOException;

/**
 * This is the entry point of the program.
 *
 * This structure is to help you with programming. If you need to slightly change some definitions, don't be afraid to do so.
 *
 */
public class CSPMain {
    public static void main(String[] args) {
        // load the input
        try {
            InputLoader loader = new InputLoader();
            Problem problem = loader.load(System.in);
        }
        catch(IOException exception) {
            exception.printStackTrace();
            return;
        }

        // run the solver
        Solver solver = new Solver();
        ... result = solver.solve(problem);

        if(result == null) {
            System.out.println("null");
        }
        else {
            // print out your solution
        }

    }
}
